### Hierarchy

- NodeCryptoPbkdf2

### Implements

- Pbkdf2

## Index

### Constructors

- constructor

### Properties

- nodePbkdf2

### Methods

- derive

## Constructors

### constructor

- new NodeCryptoPbkdf2(nodePbkdf2: NodePbkdf2Fn): NodeCryptoPbkdf2

- - Defined in src/encryption/pbkdf2.ts:17

  #### Parameters

  - ##### nodePbkdf2: NodePbkdf2Fn

  #### Returns NodeCryptoPbkdf2

## Properties

### nodePbkdf2

nodePbkdf2: NodePbkdf2Fn

- Defined in src/encryption/pbkdf2.ts:17

## Methods

### derive

- derive(password: string, salt: Buffer, iterations: number, keyLength: number, digest: Pbkdf2Digests): Promise<Buffer>

- Implementation of Pbkdf2.derive

  - Defined in src/encryption/pbkdf2.ts:23

  #### Parameters

  - ##### password: string

  - ##### salt: Buffer

  - ##### iterations: number

  - ##### keyLength: number

  - ##### digest: Pbkdf2Digests

  #### Returns Promise<Buffer>

Generated using TypeDoc